%global collection_namespace community
%global collection_name mysql

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        3.1.3
Release:        1%{?dist}
Summary:        MySQL collection for Ansible

License:        GPLv3+
URL:            %{ansible_collection_url}
Source:         https://github.com/ansible-collections/community.mysql/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ansible-packaging

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n community.mysql-%{version}
rm -vr .github
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find -type f -name '.gitignore' -print -delete

%build
%ansible_collection_build

%install
%ansible_collection_install
rm -vr %{buildroot}%{ansible_collection_files}/%{collection_name}/tests

%files
%license COPYING
%doc README.md changelogs/CHANGELOG.rst
%{ansible_collection_files}

%changelog
* Wed May 04 2022 Orion Poplawski <orion@nwra.com> - 3.1.3-1
- Update to 3.1.3

* Sat Feb 26 2022 Orion Poplawski <orion@nwra.com> - 3.1.1-1
- Update to 3.1.1

* Sat Jan 29 2022 Maxwell G <gotmax@e.email> - 3.1.0-2
- Switch to ansible-packaging.

* Thu Jan 20 2022 Orion Poplawski <orion@nwra.com> - 3.1.0-1
- Update to 3.1.0

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 02 2021 Orion Poplawski <orion@nwra.com> - 3.0.0-1
- Update to 3.0.0

* Wed Dec 01 2021 Orion Poplawski <orion@nwra.com> - 2.3.2-1
- Update to 2.3.2

* Wed Oct 20 2021 Orion Poplawski <orion@nwra.com> - 2.3.1-1
- Update to 2.3.1

* Tue Sep 28 2021 Orion Poplawski <orion@nwra.com> - 2.3.0-1
- Update to 2.3.0

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 02 2021 Orion Poplawski <orion@nwra.com> - 2.1.0-1
- Update to 2.1.0

* Thu Mar 11 2021 Orion Poplawski <orion@nwra.com> - 1.3.0-1
- Initial package
